complexType "MetalDelivery"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | deliveryLocation?, risk?, totalQuantityTolerance?, periodQuantityTolerance?, title?
</...>

Content Model Elements (5):

  deliveryLocation (in deliveryConditions in metalPhysicalLeg),
  periodQuantityTolerance,
  risk (in deliveryConditions in metalPhysicalLeg),
  title,
  totalQuantityTolerance

All Direct / Indirect Based Elements (1):

  deliveryConditions (in metalPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in metalPhysicalLeg)

Annotation
The physical delivery conditions for the transaction.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="MetalDelivery"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveryLocation" type="CommodityDeliveryPoint"/> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/> <xsd:element minOccurs="0" name="totalQuantityTolerance" type="xsd:decimal"/> <xsd:element minOccurs="0" name="periodQuantityTolerance" type="xsd:decimal"/> <xsd:element minOccurs="0" name="title" type="MetalTitleEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
deliveryLocation

  Type: | CommodityDeliveryPoint, simple content

  The Delivery Point for a physically settled non-precious metal transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryLocation" type="CommodityDeliveryPoint"/>

periodQuantityTolerance

  Type: | xsd:decimal, predefined, simple content

  The +/- percentage quantity tolerance in seller's option which applied to each shipment period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="periodQuantityTolerance" type="xsd:decimal"/>

risk

  Type: | CommodityDeliveryRisk, simple content

  "Risk of loss" may also be used, equivalently, on confirmation documents.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/>

title

  Type: | MetalTitleEnum, simple content

  Describes how and when title to the commodity transfers.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "TransfersWithRiskOfLoss" | - | Transfers with Risk of Loss.
  "DoesNotTransferWithRiskOfLoss" | - | Does Not Transfer with Risk of Loss.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="title" type="MetalTitleEnum"/>

totalQuantityTolerance

  Type: | xsd:decimal, predefined, simple content

  The +/- percent tolerance in seller's option which applies to the total quantity delivered over all shipment periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="totalQuantityTolerance" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.